Summary: Utilities for interfacing with sysfs
Name: sysfsutils
Version: 2.1.1
Release: 4%{?dist}
License: GPLv2
URL: https://github.com/linux-ras/sysfsutils
Source0: https://github.com/linux-ras/sysfsutils/archive/v%{version}.tar.gz
BuildRequires: autoconf automake libtool make gcc

%description
The sysfs is a virtual file system found in Linux kernels 2.5+ 
that provides a tree of system devices. This package provides 
the program 'systool' to query it, which can be used to list 
devices by bus, class, and topology.

%package -n libsysfs
Summary: Shared library for interfacing with sysfs
License: LGPLv2+

%description -n libsysfs
Library used in handling linux kernel sysfs mounts and their various files.

%package -n libsysfs-devel
Summary: Static library and headers for libsysfs
License: LGPLv2+
Requires: libsysfs = %{version}-%{release}

%description -n libsysfs-devel
libsysfs-devel provides the header files and static libraries required
to build programs using the libsysfs API.

%prep
%autosetup 

%build
./autogen
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%files
%license COPYING cmd/GPL
%doc AUTHORS README CREDITS docs/libsysfs.txt
%{_bindir}/systool
%{_mandir}/man1/systool.1.gz

%files -n libsysfs
%license COPYING lib/LGPL
/%{_libdir}/libsysfs.so.*

%files -n libsysfs-devel
%dir %{_includedir}/sysfs
%{_includedir}/sysfs/libsysfs.h
%{_includedir}/sysfs/dlist.h
/%{_libdir}/libsysfs.so
/%{_libdir}/pkgconfig/libsysfs.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 07 2022 Wang Zhe <bessiewang@tencent.com> - 2.1.1-1
- initial build
